--- title: "getSubnetDetail" slug: "networking-vpc-subnetmanagement-getsubnetdetail" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/networking-vpc-subnetmanagement-getsubnetdetail" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getSubnetDetail Available in VPC Get the details of a subnet by specifying the subnet number. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vpc/v2/getSubnetDetail | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all VPC APIs, see [VPC common headers](/docs/en/networking-vpc#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code where you want to query the subnet details - First Region of the query result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). | | `subnetNo` | String | Required | Query the subnet details with the subnet number. - See [getSubnetList](/docs/en/networking-vpc-subnetmanagement-getsubnetlist). | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/getSubnetDetail ?regionCode=KR &subnetNo=***43' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [SubnetList](/docs/en/common-vapidatatype-subnetlist) for the response body. ### Response status codes For information about the HTTP status codes common to all VPC APIs, see [VPC response status codes](/docs/en/networking-vpc#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` 5a8fd498-37e4-4d5a-9622-462c22fa01ac 0 success 1 ***43 ***04 KR-1 test-*** ***.***.1.0/24 RUN run 2020-05-04T11:49:52+0900 PUBLIC Public GEN General ***31 ```